Fetch All Fund Accounts
GET/v1/fund_accountsClick to copy
Use this endpoint to retrieve all fund accounts.
Is this page helpful?
Success
1{2"entity": "collection",3"count": 3,4"items": [5{6"id": "fa_00000000000001",7"entity": "fund_account",8"contact_id": "cont_00000000000001",9"account_type": "bank_account",10"bank_account": {11"ifsc": "HDFC0000053",12"bank_name": "HDFC Bank",13"name": "Gaurav Kumar",14"account_number": "765432123456789",15"notes": []16},17"active": false,18"batch_id": null,19"created_at": 154531259820},21{22"id": "fa_00000000000002",23"entity": "fund_account",24"contact_id": "cont_00000000000001",25"account_type": "vpa",26"vpa": {27"username": "gaurav.kumar",28"handle": "exampleupi",29"address": "gaurav.kumar@exampleupi"30},31"active": true,32"batch_id": null,33"created_at": 154531347834},35{36"id": "fa_00000000000001",37"entity": "fund_account",38"contact_id": "cont_00000000000001",39"account_type": "card",40"card": {41"name": "Gaurav Kumar",42"last4": "6789",43"network": "Visa",44"type": "credit",45"issuer": "HDFC"46},47"active": false,48"batch_id": null,49"created_at": 154531259850}51]52}
Query Parameters
account_type stringThe fund account type to be retrieved. Possible values:
bank_accountvpacard(if is enabled on your account)
contact_id string The unique contact ID for which fund accounts are to be retrieved. For example, cont_00000000000001.
from integerTimestamp, in Unix, from when fund accounts are to be retrieved.
to integerTimestamp, in Unix, till when fund accounts are to be retrieved.
count integer The number of fund accounts to be retrieved. Default = 10. Maximum = 100. This can be used for pagination, in combination with skip.
skip integer The number of fund accounts to be skipped. Default = 0. This can be used for pagination, in combination with count.
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Errors
<fund account id> is not a valid id.
Error Status: 4xx
The fund account ID entered is invalid.
Solution
Fetch All Fund Accounts
GET/v1/fund_accountsClick to copy
Use this endpoint to retrieve all fund accounts.
Is this page helpful?
Query Parameters
account_type stringThe fund account type to be retrieved. Possible values:
bank_accountvpacard(if is enabled on your account)
contact_id string The unique contact ID for which fund accounts are to be retrieved. For example, cont_00000000000001.
from integerTimestamp, in Unix, from when fund accounts are to be retrieved.
to integerTimestamp, in Unix, till when fund accounts are to be retrieved.
count integer The number of fund accounts to be retrieved. Default = 10. Maximum = 100. This can be used for pagination, in combination with skip.
skip integer The number of fund accounts to be skipped. Default = 0. This can be used for pagination, in combination with count.
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Errors
<fund account id> is not a valid id.
Error Status: 4xx
The fund account ID entered is invalid.
Solution
Success
1{2"entity": "collection",3"count": 3,4"items": [5{6"id": "fa_00000000000001",7"entity": "fund_account",8"contact_id": "cont_00000000000001",9"account_type": "bank_account",10"bank_account": {11"ifsc": "HDFC0000053",12"bank_name": "HDFC Bank",13"name": "Gaurav Kumar",14"account_number": "765432123456789",15"notes": []16},17"active": false,18"batch_id": null,19"created_at": 154531259820},21{22"id": "fa_00000000000002",23"entity": "fund_account",24"contact_id": "cont_00000000000001",25"account_type": "vpa",26"vpa": {27"username": "gaurav.kumar",28"handle": "exampleupi",29"address": "gaurav.kumar@exampleupi"30},31"active": true,32"batch_id": null,33"created_at": 154531347834},35{36"id": "fa_00000000000001",37"entity": "fund_account",38"contact_id": "cont_00000000000001",39"account_type": "card",40"card": {41"name": "Gaurav Kumar",42"last4": "6789",43"network": "Visa",44"type": "credit",45"issuer": "HDFC"46},47"active": false,48"batch_id": null,49"created_at": 154531259850}51]52}